Skip to content

Request password reset

POST
/api/v1/auth/forgot-password
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/auth/forgot-password \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "email": "hello@example.com" }'

Request a reset email without disclosing account existence or promising delivery.

Media typeapplication/json
ForgotPasswordRequest

Request body for the forgot-password endpoint.

Attributes: email: The email address to send a password reset link to.

object
email
required
Email

User email address

string format: email
<= 255 characters
Examplegenerated
{
"email": "hello@example.com"
}

Successful Response

Media typeapplication/json
ForgotPasswordResponse

Response body for the forgot-password endpoint.

Attributes: message: A generic message (no user enumeration).

object
message
required
Message
string
Examplegenerated
{
"message": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}